package cn.com.tenlion.configcontent.pojo.vos.contentcomment;

import ink.wgink.annotation.CheckEmptyAnnotation;
import ink.wgink.annotation.CheckNumberAnnotation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 *
 * @ClassName: ContentCommentVO
 * @Description: CBC内容管理评论记录表
 * @Author: CodeFactory
 * @Date: 2021-08-02 09:31:18
 * @Version: 3.0
 **/
@ApiModel
public class ContentCommentVO {

    @ApiModelProperty(name = "businessId", value = "业务表ID")
    @CheckEmptyAnnotation(name = "业务表ID")
    private String businessId;
    @ApiModelProperty(name = "contentCommentContent", value = "评论内容")
    @CheckEmptyAnnotation(name = "评论内容")
    private String contentCommentContent;
    @ApiModelProperty(name = "contentCommentParentId", value = "评论父节点")
    private String contentCommentParentId;
    @ApiModelProperty(name = "contentCommentDislike", value = "评论不喜欢数量")
    private Integer contentCommentDislike;
    @ApiModelProperty(name = "contentCommentLike", value = "评论喜欢数量")
    private Integer contentCommentLike;
    @ApiModelProperty(name = "contentCommentContentFile", value = "评论文件")
    private String contentCommentContentFile;
    @ApiModelProperty(name = "contentCommentUserName", value = "评论人姓名")
    private String contentCommentUserName;
    @ApiModelProperty(name = "contentCommentUserIcon", value = "评论人头像")
    private String contentCommentUserIcon;
    @ApiModelProperty(name = "contentCommentStatus", value = "评论状态1:正常,0:违规")
    private String contentCommentStatus = "1";
    @ApiModelProperty(name = "contentCommentRemark", value = "评论违规原因")
    private String contentCommentRemark;
    @ApiModelProperty(name = "contentCommentViolation", value = "评论违规内容")
    private String contentCommentViolation;
    @ApiModelProperty(name = "contentCommentIp", value = "IP")
    private String contentCommentIp;
    @ApiModelProperty(name = "contentCommentAddress", value = "地址")
    private String contentCommentAddress;
    @ApiModelProperty(name = "contentCommentDevice", value = "设备")
    private String contentCommentDevice;
    @ApiModelProperty(name = "contentCommentLongitude", value = "经度")
    @CheckNumberAnnotation(name = "经度")
    private Double contentCommentLongitude;
    @ApiModelProperty(name = "contentCommentLatitude", value = "纬度")
    @CheckNumberAnnotation(name = "纬度")
    private Double contentCommentLatitude;

    public String getBusinessId() {
        return businessId == null ? "" : businessId.trim();
    }

    public void setBusinessId(String businessId) {
        this.businessId = businessId;
    }

    public Integer getContentCommentDislike() {
        return contentCommentDislike == null ? 0 : contentCommentDislike;
    }

    public void setContentCommentDislike(Integer contentCommentDislike) {
        this.contentCommentDislike = contentCommentDislike;
    }

    public Integer getContentCommentLike() {
        return contentCommentLike == null ? 0 : contentCommentLike;
    }

    public void setContentCommentLike(Integer contentCommentLike) {
        this.contentCommentLike = contentCommentLike;
    }

    public String getContentCommentContent() {
        return contentCommentContent == null ? "" : contentCommentContent.trim();
    }

    public void setContentCommentContent(String contentCommentContent) {
        this.contentCommentContent = contentCommentContent;
    }

    public String getContentCommentContentFile() {
        return contentCommentContentFile == null ? "" : contentCommentContentFile.trim();
    }

    public void setContentCommentContentFile(String contentCommentContentFile) {
        this.contentCommentContentFile = contentCommentContentFile;
    }

    public String getContentCommentParentId() {
        return contentCommentParentId == null ? "" : contentCommentParentId.trim();
    }

    public void setContentCommentParentId(String contentCommentParentId) {
        this.contentCommentParentId = contentCommentParentId;
    }

    public String getContentCommentUserName() {
        return contentCommentUserName == null ? "" : contentCommentUserName.trim();
    }

    public void setContentCommentUserName(String contentCommentUserName) {
        this.contentCommentUserName = contentCommentUserName;
    }

    public String getContentCommentUserIcon() {
        return contentCommentUserIcon == null ? "" : contentCommentUserIcon.trim();
    }

    public void setContentCommentUserIcon(String contentCommentUserIcon) {
        this.contentCommentUserIcon = contentCommentUserIcon;
    }

    public String getContentCommentStatus() {
        return contentCommentStatus == null ? "" : contentCommentStatus.trim();
    }

    public void setContentCommentStatus(String contentCommentStatus) {
        this.contentCommentStatus = contentCommentStatus;
    }

    public String getContentCommentRemark() {
        return contentCommentRemark == null ? "" : contentCommentRemark.trim();
    }

    public void setContentCommentRemark(String contentCommentRemark) {
        this.contentCommentRemark = contentCommentRemark;
    }

    public String getContentCommentViolation() {
        return contentCommentViolation == null ? "" : contentCommentViolation.trim();
    }

    public void setContentCommentViolation(String contentCommentViolation) {
        this.contentCommentViolation = contentCommentViolation;
    }

    public String getContentCommentIp() {
        return contentCommentIp == null ? "" : contentCommentIp.trim();
    }

    public void setContentCommentIp(String contentCommentIp) {
        this.contentCommentIp = contentCommentIp;
    }

    public String getContentCommentAddress() {
        return contentCommentAddress == null ? "" : contentCommentAddress.trim();
    }

    public void setContentCommentAddress(String contentCommentAddress) {
        this.contentCommentAddress = contentCommentAddress;
    }

    public String getContentCommentDevice() {
        return contentCommentDevice == null ? "" : contentCommentDevice.trim();
    }

    public void setContentCommentDevice(String contentCommentDevice) {
        this.contentCommentDevice = contentCommentDevice;
    }

    public Double getContentCommentLongitude() {
        return contentCommentLongitude == null ? 0D : contentCommentLongitude;
    }

    public void setContentCommentLongitude(Double contentCommentLongitude) {
        this.contentCommentLongitude = contentCommentLongitude;
    }

    public Double getContentCommentLatitude() {
        return contentCommentLatitude == null ? 0D : contentCommentLatitude;
    }

    public void setContentCommentLatitude(Double contentCommentLatitude) {
        this.contentCommentLatitude = contentCommentLatitude;
    }


}
